### org.jfree.layouting.renderer.process

# Class BoxShifter

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.BoxShifter`

`public class BoxShifter`
`extends java.lang.Object`

By keeping the shifting in a separate class, we can optimize it later without having to touch the other code. Remember: Recursive calls can be evil in complex documents..

Author:
  Thomas Morgner

  ## Constructor Summary

  `BoxShifter()`

  ## Method Summary

  `void`

  `extendHeight(RenderNode node, long amount)`

  `void`

  `shiftBox(RenderBox box, long amount)`

  `void`

  `shiftBoxUnchecked(RenderBox box, long amount)`

## Constructor Details

### BoxShifter

    public BoxShifter()

## Method Details

### extendHeight

    public void extendHeight(RenderNode node,
                             long amount)

### shiftBox

    public void shiftBox(RenderBox box,
                         long amount)

### shiftBoxUnchecked

    public void shiftBoxUnchecked(RenderBox box,
                                  long amount)